<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.dromara.system.mapper.RegisterTeacherClassMapper">
    <resultMap type="org.dromara.system.domain.vo.RegisterTeacherClassVo" id="RegisterTeacherClassResult">
        <result property="id"    column="id"    />
        <result property="teacherId"    column="teacher_id"    />
        <result property="classId"    column="class_id"    />
        <result property="className"    column="class_name"    />
        <result property="discipline"    column="discipline"    />
        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
        <result property="remark"    column="remark"    />

        <result property="period"    column="period"    />
    </resultMap>

    <sql id="selectRegisterTeacherClassVo">
        select id, teacher_id, class_id, class_name,period, discipline, create_by, create_time, update_by, update_time, remark from register_teacher_class
    </sql>

    <delete id="deleteRegisterTeacherClassByTeacherId" parameterType="java.lang.Long">
        delete from register_teacher_class where teacher_id = #{teacherId}
    </delete>
    <delete id="deleteRegisterTeacherClassByTeacherIds" parameterType="String">
        delete from register_teacher_class where teacher_id in
        <foreach item="id" collection="array" open="(" separator="," close=")">
            #{id}
        </foreach>
    </delete>
</mapper>
